| GL Studio C++ Runtime API

Public Member Functions | Public Attributes | List of all members
RSOInterface1::ObjectEvent Class Reference

`#include <rso_interface_1.h>`

Inheritance diagram for RSOInterface1::ObjectEvent:

## Public Member Functions
const char * | Initiator () const
virtual void | Initiator (const char *value)
const char * | EventName () const
virtual void | EventName (const char *value)
const char * | EventData () const
virtual void | EventData (const char *value)
Public Member Functions inherited from RSOInterface1::Event
unsigned short | EventType ()
void | EventType (unsigned short value)
unsigned short | EventSubType ()
void | EventSubType (unsigned short value)

## Public Attributes
char * | _initiator
char * | _eventName
char * | _eventData
Public Attributes inherited from RSOInterface1::Event
unsigned short | _eventType
unsigned short | _eventSubtype

## Additional Inherited Members
Public Types inherited from RSOInterface1::Event
enum | EventTypeEnum { EVENT_MOUSE = 0 , EVENT_KEYBOARD , EVENT_TIMER , EVENT_OBJECT , EVENT_KEYBOARD_UP }
enum | EventSubtypeEnum { MOUSE_DOWN = 0 , MOUSE_UP , MOUSE_MOVE , MOUSE_DRAG , MOUSE_LEAVE , MOUSE_ENTER , MOUSE_WHEEL_MINUS , MOUSE_WHEEL_PLUS }
enum | SpecialKeyState { NONE_STATE = 0 , SHIFT_STATE = 0x00010000 , CAPS_LOCK_STATE = 0x00020000 , CTRL_STATE = 0x00040000 , ALT_STATE = 0x00080000 , NUM_LOCK_STATE = 0x00100000 , META_STATE = 0x00400000 , SCROLL_LOCK_STATE = 0x00800000 , BUTTON1_STATE = 0x01000000 , BUTTON2_STATE = 0x02000000 , BUTTON3_STATE = 0x04000000 }

## Detailed Description

An event that is emitted from a simulation object

## Member Function Documentation

## ◆ EventData() [1/2]

const char * EventData | ( |  | ) | const
| inline

Returns
  The event data.

## ◆ EventData() [2/2]

virtual void EventData | ( | const char * | value | ) |
| inline virtual

Set the event data.

Parameters

  value | The new string data to set.

## ◆ EventName() [1/2]

const char * EventName | ( |  | ) | const
| inline

Returns
  The event name.

## ◆ EventName() [2/2]

virtual void EventName | ( | const char * | value | ) |
| inline virtual

Set the event name.

Parameters

  value | The new name to set.

## ◆ Initiator() [1/2]

const char * Initiator | ( |  | ) | const
| inline

Returns
  The initiator name.

## ◆ Initiator() [2/2]

virtual void Initiator | ( | const char * | value | ) |
| inline virtual

Set the initiator name.

Parameters

  value | The new name to set.

## Member Data Documentation

## ◆ _eventData

char* _eventData

Any additional data for this event. A NULL terminated string

## ◆ _eventName

char* _eventName

String event name

## ◆ _initiator

char* _initiator

The qualified name of the object that initiated the event

The documentation for this class was generated from the following file:

- rso_interface_1.h